package com.unis.hlht.cjlksj.server.common.login;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 
 * 
 * @Package: com.*.*.config
 * @ClassName: LoginConfig
 * @Description:拦截器配置
 * @author: zk
 * @date: 2019年9月19日 下午2:18:35
 */
//@Configuration
public class LoginConfig implements WebMvcConfigurer {

	public static String TOKEN = "TOKEN";

	@Override
	public void addInterceptors(InterceptorRegistry registry) {
		InterceptorRegistration registration = registry.addInterceptor(new AdminInterceptor());
		registration.addPathPatterns("/**"); // 所有路径都被拦截
		registration.excludePathPatterns( // 添加不拦截路径
				"/login/**", // 登录
				"/service/**",
				"/swagger-resources/**", 
				"/webjars/**",
				"/v2/**", 
				"/swagger-ui.html/**",
				"/heartcheck",
				"/exportHeartCheckList**",
				"/regexShengduExcel",
				"/regexShengduExcelV2",
				"/downUploadErrorInfo",
				"/shengdujiaoyan",
				"/cuowuxingxin", 
				
				"/getTableDataListYj/**", 
				"/simplecheckStart", 
				"/service/hankang/**", 
				"/service/API/DATADOWNLOAD/**",
				"/instruction/**"
		);

	}
}