package com.unis.hlht.cjlksj.server.controller.datashow;

import com.unis.hlht.cjlksj.server.common.rest.LiangKuRest;
import com.unis.hlht.cjlksj.server.dto.instruction.InstructionParasDTO;
import com.unis.hlht.cjlksj.server.dto.upload.UploadDTO;
import com.unis.hlht.cjlksj.server.entity.LiangKuApiEntity;
import com.unis.hlht.cjlksj.server.entity.RestCountEntity;
import com.unis.hlht.cjlksj.server.enums.instruction.InstructionTypeEnum;
import com.unis.hlht.cjlksj.server.mapper.GrabResultMapper;
import com.unis.hlht.cjlksj.server.mapper.LiangKuApiMapper;
import com.unis.hlht.cjlksj.server.mapper.SysUploadErrorResultMapper;
import com.unis.hlht.cjlksj.server.server.DataUpLoadServer;
import com.unis.hlht.cjlksj.server.server.InstructionServer;
import com.unis.hlht.cjlksj.server.test2.ExcelUtilV2;
import com.unis.hlht.cjlksj.server.test2.ExcelUtils;
import com.unis.hlht.cjlksj.server.utils.DateUtil;
import com.unis.hlht.cjlksj.server.utils.ExcelUtil;
import com.unis.hlht.cjlksj.server.utils.PingUtil;
import com.unis.hlht.cjlksj.server.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;

import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.UUID;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang3.StringUtils;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.dom4j.DocumentException;
import org.dom4j.Element;
import org.dom4j.Node;
import org.dom4j.io.SAXReader;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 
 * @ClassName: HeartCheckController
 * @Description: TODO(这里用一句话描述这个类的作用)
 * @author ldq
 * @date 2020年6月30日
 *
 */
@SuppressWarnings("all")
@Log4j2
@RestController
@Api(value = "心跳检测", description = "心跳检测")
public class HeartCheckController {

	@Autowired
	LiangKuApiMapper liangKuApiMapper;
	
	@Autowired
	InstructionServer instructionServer;

	/**
	 * 心跳检测定时             废弃  -- 已CompleteScheduleConfig统一管理
	 * @param request
	 * @param response
	 * @param m
	 */
//	@Scheduled(cron = "0 0/10 * * * ?")
//	public void check() {
//		instructionServer.excuteHeartCheck();
//	}
	/**
	 * 心跳检测结果，定时导出             废弃  -- 已CompleteScheduleConfig统一管理
	 */
//	@Scheduled(cron = "0 0 0/1 * * ?")
//	public void exportHeartCheckList1() {
//		Map m = new HashMap<>();
//		List<LiangKuApiEntity> mlist = liangKuApiMapper.findAll2(null);
//		int count_success = 0;
//		int sheng_count_success = 0;
//		int shixian_count_success = 0;
//		int xian_count_success = 0;
//		for (LiangKuApiEntity liangKuApiEntity : mlist) {
//			if(liangKuApiEntity.getIS_ONLINE().equals("1")) {
//				liangKuApiEntity.setIS_ONLINE("在线");
//				count_success = count_success + 1;
//				if(liangKuApiEntity.getBELONGTO().equals("粮农-省级")) { sheng_count_success = sheng_count_success + 1; }
//				if(liangKuApiEntity.getBELONGTO().equals("粮农-市县")) { shixian_count_success = shixian_count_success + 1; }
//				if(liangKuApiEntity.getBELONGTO().equals("西安市")) { xian_count_success = xian_count_success + 1; }
//				
//			}else {
//				liangKuApiEntity.setIS_ONLINE("不在线");
//			}
//		}
//		
//		m.put("sheng_count_success", sheng_count_success);
//		m.put("shixian_count_success", shixian_count_success);
//		m.put("xian_count_success", xian_count_success);
//		int count = mlist.size();
//		m.put("count",count);
//		m.put("count_success", count_success);
//		String now = DateFormat.getDateTimeInstance().format(new Date());
//		m.put("now", now);
//		m.put("list", mlist);
//		
//		LiangKuApiEntity total = new LiangKuApiEntity();
//		total.setBELONGTO(
//				"Hi现在时间是 " + now + "____总库点：" + count + "____在线库点：" + count_success + " [{省级：" + sheng_count_success
//						+ "}" + "{市县：" + shixian_count_success+"}"+"{西安："+xian_count_success+"}]");
//		mlist.add(total);
//        //excel标题
//        String[] title = {"所属", "库点名称", "是否在线", "检测时间", "检测地址"};
//        //sheet名
//        String sheetName = "粮库上传明细";
//        String[][] content = new String[mlist.size()][5];
//        for (int i = 0; i < mlist.size(); i++) {
//            LiangKuApiEntity obj = mlist.get(i);
//            content[i][0] = obj.getBELONGTO();
//            content[i][1] = obj.getName();
//            content[i][2] = obj.getIS_ONLINE();
//            content[i][3] = obj.getCHECK_TIME();
//            content[i][4] = obj.getUrl();
//        }
//        //创建HSSFWorkbook
//        HSSFWorkbook wb = ExcelUtil.getHSSFWorkbook(sheetName, title, content, null);
//        //响应到客户端
//        try {
//        	String path = "D://XIN_TIAO_JIAN_CE";
//        	String currentDateTime16Str = DateUtil.getCurrentStringTimestamp();
//			File file = new File(path+"//"+currentDateTime16Str + ".xls");
//        	OutputStream outputStream = new FileOutputStream(file);
//            wb.write(outputStream);
//            outputStream.flush();
//            outputStream.close();
//        } catch (Exception e) {
//        	e.printStackTrace();
//        }
//	}
	
	
	@ApiOperation(value = "心跳检查PAGE", httpMethod = "GET")
	@GetMapping(value = "/heartcheck")
	public String downUploadErrorInfoPage(HttpServletRequest request, HttpServletResponse response, Model m) {
		List<LiangKuApiEntity> mlist = liangKuApiMapper.findAll2(null);
		int count_success = 0;
		int sheng_count_success = 0;
		int shixian_count_success = 0;
		int xian_count_success = 0;
		for (LiangKuApiEntity liangKuApiEntity : mlist) {
			if(liangKuApiEntity.getIS_ONLINE().equals("1")) {
				liangKuApiEntity.setIS_ONLINE("是");
				count_success = count_success + 1;
				if(liangKuApiEntity.getBELONGTO().equals("粮农-省级")) { sheng_count_success = sheng_count_success + 1; }
				if(liangKuApiEntity.getBELONGTO().equals("粮农-市县")) { shixian_count_success = shixian_count_success + 1; }
				if(liangKuApiEntity.getBELONGTO().equals("西安市")) { xian_count_success = xian_count_success + 1; }
				
			}else {
				liangKuApiEntity.setIS_ONLINE("否");
			}
		}
		m.addAttribute("list", mlist);
		m.addAttribute("count", mlist.size());
		m.addAttribute("count_success", count_success);
		m.addAttribute("sheng_count_success", sheng_count_success);
		m.addAttribute("shixian_count_success", shixian_count_success);
		m.addAttribute("xian_count_success", xian_count_success);
		m.addAttribute("now", DateFormat.getDateTimeInstance().format(new Date()));
		return "heartcheck";
	}
	
	@ApiOperation(value = "心跳检查搜索", httpMethod = "POST")
	@PostMapping(value = "/searchHeartCheck")
	@ResponseBody
	public Map heartcheck(@RequestBody LiangKuApiEntity liangku) {
		Map m = new HashMap<>();
		List<LiangKuApiEntity> mlist = liangKuApiMapper.findAll2(liangku);
		int count_success = 0;
		int sheng_count_success = 0;
		int shixian_count_success = 0;
		int xian_count_success = 0;
		for (LiangKuApiEntity liangKuApiEntity : mlist) {
			if(liangKuApiEntity.getIS_ONLINE().equals("1")) {
				liangKuApiEntity.setIS_ONLINE("是");
				count_success = count_success + 1;
				if(liangKuApiEntity.getBELONGTO().equals("粮农-省级")) { sheng_count_success = sheng_count_success + 1; }
				if(liangKuApiEntity.getBELONGTO().equals("粮农-市县")) { shixian_count_success = shixian_count_success + 1; }
				if(liangKuApiEntity.getBELONGTO().equals("西安市")) { xian_count_success = xian_count_success + 1; }
				
			}else {
				liangKuApiEntity.setIS_ONLINE("否");
			}
		}
		
		m.put("sheng_count_success", sheng_count_success);
		m.put("shixian_count_success", shixian_count_success);
		m.put("xian_count_success", xian_count_success);
		m.put("count",mlist.size());
		m.put("list", mlist);
		m.put("count_success", count_success);
		m.put("now", DateFormat.getDateTimeInstance().format(new Date()));
		return m;
	}
	
	
	@ApiOperation(value = "心跳检查导出", httpMethod = "POST")
	@PostMapping(value = "/exportHeartCheckList")
	@ResponseBody
	public void exportHeartCheckList(@RequestBody LiangKuApiEntity liangku, HttpServletResponse response) {
		Map m = new HashMap<>();
		List<LiangKuApiEntity> mlist = liangKuApiMapper.findAll2(liangku);
		int count_success = 0;
		int sheng_count_success = 0;
		int shixian_count_success = 0;
		int xian_count_success = 0;
		for (LiangKuApiEntity liangKuApiEntity : mlist) {
			if(liangKuApiEntity.getIS_ONLINE().equals("1")) {
				liangKuApiEntity.setIS_ONLINE("在线");
				count_success = count_success + 1;
				if(liangKuApiEntity.getBELONGTO().equals("粮农-省级")) { sheng_count_success = sheng_count_success + 1; }
				if(liangKuApiEntity.getBELONGTO().equals("粮农-市县")) { shixian_count_success = shixian_count_success + 1; }
				if(liangKuApiEntity.getBELONGTO().equals("西安市")) { xian_count_success = xian_count_success + 1; }
				
			}else {
				liangKuApiEntity.setIS_ONLINE("不在线");
			}
		}
		
		m.put("sheng_count_success", sheng_count_success);
		m.put("shixian_count_success", shixian_count_success);
		m.put("xian_count_success", xian_count_success);
		int count = mlist.size();
		m.put("count",count);
		m.put("count_success", count_success);
		String now = DateFormat.getDateTimeInstance().format(new Date());
		m.put("now", now);
		m.put("list", mlist);
		
		LiangKuApiEntity total = new LiangKuApiEntity();
		total.setBELONGTO(
				"Hi现在时间是 " + now + "____总库点：" + count + "____在线库点：" + count_success + " [{省级：" + sheng_count_success
				+ "}" + "{市县：" + shixian_count_success+"}"+"{西安："+xian_count_success+"}]");
		mlist.add(total);
		//excel标题
		String[] title = {"所属", "库点名称", "是否在线", "检测时间", "检测地址"};
		//sheet名
		String sheetName = "粮库上传明细";
		String[][] content = new String[mlist.size()][5];
		for (int i = 0; i < mlist.size(); i++) {
			LiangKuApiEntity obj = mlist.get(i);
			content[i][0] = obj.getBELONGTO();
			content[i][1] = obj.getName();
			content[i][2] = obj.getIS_ONLINE();
			content[i][3] = obj.getCHECK_TIME();
			content[i][4] = obj.getUrl();
		}
		//创建HSSFWorkbook
		HSSFWorkbook wb = ExcelUtil.getHSSFWorkbook(sheetName, title, content, null);
		//响应到客户端
		try {
			response.setContentType("application/vnd.ms-excel");
			response.addHeader("Pargam", "no-cache");
			response.addHeader("Cache-Control", "no-cache");
			OutputStream outputStream = response.getOutputStream();
			wb.write(outputStream);
			outputStream.flush();
			outputStream.close();
		} catch (Exception e) {
		}
	}

	@GetMapping(value = "/checkStart")
	public String checkStart() {
		instructionServer.excuteHeartCheck();
		return "检查完毕";
	}
	
	
	@GetMapping(value = "/simplecheckStart")
	@ResponseBody
	public boolean checkStart(String url, String dwdm) {
		return instructionServer.excuteSimpleHeartCheck(url,dwdm);
	}
	
	

}
