package com.unis.hlht.cjlksj.server.dto.instruction;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @description:省平台指令下发参数
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/02/19-14:11
 **/
@Data
@SuppressWarnings("all")
public class InstructionParasDTO {

    //指令ID
    @JsonProperty("Orderid")
    private String orderId;

    //指令类型:0-心跳指令 1-数据指令
    @JsonProperty("Type")
    private String type;

    //指令内容
    @JsonProperty("Data")
    private String data;

    //开始时间
    @JsonProperty("StartTime")
    private String startTime;

    //结束时间
    @JsonProperty("EndTime")
    private String endTime;

    //单位代码（统一社会信用代码）
    @JsonProperty("Dwdm")
    private String dwdm;

    //操作标志： n 待上传 i 新增 u修改 e上传失败
    private String czbz;

}
