package com.unis.hlht.cjlksj.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2019-5-8 13:02
 */
@Data
@Table(name = "DIM_HY_SPJKXX")
@SuppressWarnings("all")
//@Entity(name = "DIM_HY_SPJKXX")
public class SPJKXXEntity implements Serializable{

    @ApiModelProperty(notes = "主键id")
    private String id;

    @ApiModelProperty(notes = "单位代码")
    private String dwdm;

    @ApiModelProperty(notes = "统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty(notes = "设备名称")
    private String sbmc;

    @ApiModelProperty(notes = "设备类型编码")
    private String sblxnm;

    @ApiModelProperty(notes = "设备类型名称")
    private String sblxmc;

    @ApiModelProperty(notes = "库区编码")
    private String kqbh;

    @ApiModelProperty(notes = "库点名称")
    private String kdmc;

    @ApiModelProperty(notes = "仓房编码")
    private String cfbh;

    @ApiModelProperty(notes = "仓房名称")
    private String cfmc;



    @ApiModelProperty(notes = "监控类别 0：仓内监控 1：库区监控")
    private String jklb;

    @ApiModelProperty(notes = "设备厂商")
    private String sbcs;

    @ApiModelProperty(notes = "设备型号")
    private String sbxh;

    @ApiModelProperty(notes = "设备序列号")
    private String sbxlh;

    @ApiModelProperty(notes = "视频平台IP")
    private String ip;

    @ApiModelProperty(notes = "MAC地址")
    private String mac;

    @ApiModelProperty(notes = "视频平台端口")
    private String dk;

    @ApiModelProperty(notes = "摄像头端口")
    private String sxtdk;

    @ApiModelProperty(notes = "摄像头通道号")
    private String sxttdh;

    @ApiModelProperty(notes = "子网掩码")
    private String zwym;



    @ApiModelProperty(notes = "网关地址")
    private String wgdz;

    @ApiModelProperty(notes = "用户名")
    private String yhm;

    @ApiModelProperty(notes = "密码")
    private String mm;

    @ApiModelProperty(notes = "是否删除1：删除 0：不删除（可空）")
    private String sfsc;

    @ApiModelProperty(notes = "创建时间")
    private String create_time;

    @ApiModelProperty(notes = "修改时间")
    private String update_time;

    @ApiModelProperty(notes = "摄像头ip")
    private String sxtip;




}
