package com.unis.hlht.cjlksj.server.enums.instruction;

import lombok.Getter;

/**
 * 指令类型
 */
public enum InstructionTypeEnum {
    /**
     * 心跳指令
     */
    hearBeatInstruction(0),
    /**
     * 数据指令
     */
    dataInstruction(1),
    /**
     * 十分钟数据指令
     */
    dataInstructionOfTenMinute(10),
    /**
     * 三十分钟数据指令
     */
    dataInstructionOfHalfHour(30),
    /**
     * 月数据指令
     */
    dataInstructionOfEveryMonth(100),
    /**
     * 季度数据指令
     */
    dataInstructionOfEveryQuarter(200),
    /**
     * 季度数据指令
     */
    dataInstructionOfEveryYear(300);

    @Getter
    private Integer code;

    InstructionTypeEnum(Integer code) {
        this.code = code;
    }

}
