package com.unis.hlht.cjlksj.server.mapper;

import com.unis.hlht.cjlksj.server.entity.TableCommentEntity;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @description:表和表说明数据访问对象
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/05/12-12:29
 **/
@SuppressWarnings("all")
@Repository
public interface GrabResultMapper {

	@Insert({ "insert into GRAB_RESULT(ID, TABLE_NAME, URL, RESULT) "
			+ "values(#{ID}, #{TABLENAME}, #{URL}, #{RESULT})" })
	int save(@Param("ID") String ID, @Param("TABLENAME") String TABLENAME, @Param("URL") String URL,
			@Param("RESULT") String RESULT);
	
	@Select({"${sql}"})
	List<Map> select(@Param("sql")String sql);

}
