package com.unis.hlht.cjlksj.server.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import com.unis.hlht.cjlksj.server.entity.HKSBXX;
import com.unis.hlht.cjlksj.server.entity.HKZZJG;
import com.unis.hlht.cjlksj.server.entity.LiangKuApiEntity;


/**
 * 
 * @ClassName: HKZZJGMapper  
 * @Description: TODO(海康组织信息)  
 * @author ldq  
 * @date 2020年8月13日  
 *
 */
@Repository
public interface HKZZJGMapper{

	@Insert({ "insert into HK_ZZJG("
			+ "\"indexCode\", ID, "
			+ "parentindexcode, \"name\", "
			+ "\"sort\", create_time, "
			+ "UPDATE_TIME"
			+ ") "
			+ "values("
			+ "#{indexCode}, #{ID}, "
			+ "#{parentindexcode}, #{name},"
			+ "#{sort}, #{createTime},"
			+ "#{updateTime}"
			+ ")" })
	int save(HKZZJG obj);
	
	// 查询全部
	@Select("SELECT * FROM HK_ZZJG")
	List<HKZZJG> findAll();
	
	// 查询全部
	@Select("<script>"
			+ "SELECT * from HK_ZZJG where 1=1 "
			+ "<if test = 'name != null and name != \"\"'>"
			+ "and \"name\" like '%${name}%'"
			+ "</if>"
			+ "</script>")	
	List<HKZZJG> findAllByName(@Param("name")String name);
	
	// 删除
	@Delete("delete FROM HK_ZZJG where ID = #{ID}")
	Integer delete(@Param("ID")String ID);

	@Select("select count(*) num FROM HK_ZZJG where ID = #{ID}")
	Integer count(@Param("ID")String ID);

}
