package com.unis.hlht.cjlksj.server.test2;

import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.URLEncoder;
import java.util.Base64;

import sun.misc.BASE64Encoder;

public class FileTest {


	
    /**
     * 文件转化成base64字符串
     * 将文件转化为字节数组字符串，并对其进行Base64编码处理
     */
    public static String getFileStr(String filePath) {
        InputStream in = null;
        byte[] data = null;
        // 读取文件字节数组
        try {
            in = new FileInputStream(filePath);
            data = new byte[in.available()];
            in.read(data);
            in.close();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        // 对字节数组Base64编码
        BASE64Encoder encoder = new BASE64Encoder();
        // 返回 Base64 编码过的字节数组字符串
        return encoder.encode(data);
    }
	
	/**
	 * 將文件读取为二进制流
	 * @param file
	 * @return
	 */
	public static byte[] getFileToByte(File file) {
        byte[] by = new byte[(int) file.length()];
        try {
            InputStream is = new FileInputStream(file);
            ByteArrayOutputStream bytestream = new ByteArrayOutputStream();
            byte[] bb = new byte[2048];
            int ch;
            ch = is.read(bb);
            while (ch != -1) {
                bytestream.write(bb, 0, ch);
                ch = is.read(bb);
            }
            by = bytestream.toByteArray();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return by;
    }
	
	public static void main(String[] args) throws Exception {
		
//		byte[] fileToByte = getFileToByte(new File("E:\\电脑壁纸\\111.jpg"));
//		System.out.println(fileToByte);
//		String encode = URLEncoder.encode(new String(fileToByte), "utf-8");
//		System.out.println(encode);
		
		byte[] file2byte = FileUtil.file2byte("E:\\电脑壁纸\\111.jpg");
		String hexString = FileUtil.toHexString(file2byte);
		System.out.println(hexString);
		
//		String fileStr = getFileStr("E:\\电脑壁纸\\111.jpg");
//		System.out.println(fileStr);
	}
}
