//package excel;
//
//
//import java.io.IOException;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
//import org.apache.poi.hssf.usermodel.HSSFCell;
//import org.apache.poi.hssf.usermodel.HSSFCellStyle;
//import org.apache.poi.hssf.usermodel.HSSFFont;
//import org.apache.poi.hssf.usermodel.HSSFHyperlink;
//import org.apache.poi.hssf.usermodel.HSSFRow;
//import org.apache.poi.hssf.usermodel.HSSFSheet;
//import org.apache.poi.hssf.usermodel.HSSFWorkbook;
//import org.apache.poi.hssf.util.HSSFColor;
//import org.apache.poi.ss.usermodel.Hyperlink;
//
//public class RegexExcelUtilTMP {
//	
//	/**
//	 * 
//	 * @param indexPageName		目录页sheet名称
//	 * @param sheetColumn		取sheet列名称的字段名
//	 * @param dataColumn		取sheet列数据的字段名
//	 * @param title				所有sheet数据标题、这里中写的是统一列名若需要不同列名的需要自己扩展一下
//	 * @param sheetMapList		每个sheet的数据｛sheet名称，content数据｝
//	 * @return
//	 * @throws IOException
//	 */
//	public static HSSFWorkbook createMutiSheet(String indexPageName, String sheetColumn, String dataColumn, String[] title,
//			@SuppressWarnings("rawtypes") List<Map> sheetMapList) 
//			throws IOException {
//		/* 建立HSSFWorkbook对象 */
//		HSSFWorkbook wb = new HSSFWorkbook();
//
//		/* 建立索引页sheet */
//		HSSFSheet sheet = wb.createSheet(indexPageName);
//		
//		int index = 0;
//		for (Map<?, ?> sheetMap : sheetMapList) {
//			//取出每个sheet的名称
//			String sheetName = sheetMap.get(sheetColumn)+"";
//			
//			//取出每个sheet的数据 
//			Object object = sheetMap.get(dataColumn);
//			String[][] cotent = (String[][])object;
//			
//			HSSFRow row = sheet.createRow((short) index);
//			HSSFCell likeCell = row.createCell(0);
//			Hyperlink hyperlink = new HSSFHyperlink(Hyperlink.LINK_DOCUMENT);
//		
//			// "#"表示本文档 "sheetName"表示sheet页名称 "A10"表示第几列第几行
//			hyperlink.setAddress("#"+sheetName+"!A1");
//			likeCell.setHyperlink(hyperlink);
//			// 点击进行跳转
//			likeCell.setCellValue(sheetName);
//			
//			/* 连接跳转 */
//			/* 设置为超链接的样式 */
//			HSSFCellStyle linkStyle = wb.createCellStyle();
//			HSSFFont cellFont = wb.createFont();
//			cellFont.setUnderline((byte) 1);
//			cellFont.setColor(HSSFColor.BLUE.index);
//			linkStyle.setFont(cellFont);
//			likeCell.setCellStyle(linkStyle);
//			
//			// 创建一个居中格式
//			HSSFCellStyle style = wb.createCellStyle();
//			style.setAlignment(HSSFCellStyle.ALIGN_CENTER);
//			
//			/* 建立第每个子sheet对象 */
//			HSSFSheet sheetDetail = wb.createSheet(sheetName); // 建立新的sheet对象
//			
//			creatSheet(sheetDetail, style, title, cotent);
//			
//			index++;
//		}
//		return wb;
//	}
//	
//	
//	/**
//	 * 填充每个sheet中的内容、样式、标题
//	 * @param sheet
//	 * @param style
//	 * @param title 
//	 * @param values
//	 */
//	public static void creatSheet(HSSFSheet sheet, HSSFCellStyle style, String[] title, String[][] values) {
//        // 第三步，在sheet中添加表头第0行,注意老版本poi对Excel的行数列数有限制
//        HSSFRow row = sheet.createRow(0);
//
//        //声明列对象
//        HSSFCell cell = null;
//        //存储最大列宽  
//        Map<Integer,Integer> maxWidth = new HashMap<Integer,Integer>(); 
//
//        //创建标题
//        for (int i = 0; i < title.length; i++) {
//            cell = row.createCell(i);
//            cell.setCellValue(title[i]);
//            cell.setCellStyle(style);
//            
//            maxWidth.put(i,title[i].length());
//        }
//        
//        //创建内容
//        for (int i = 0; i < values.length; i++) {
//            row = sheet.createRow(i + 1);
//            for (int j = 0; j < values[i].length; j++) {
//                //将内容按顺序赋给对应的列对象
//                HSSFCell createCell = row.createCell(j);
//				createCell.setCellValue(values[i][j]);
//
//                int length = createCell.getStringCellValue().getBytes().length  * 256 + 200;  
//                //这里把宽度最大限制到15000  
//                if (length>15000){  
//                	length = 15000;  
//                }  
//                maxWidth.put(j,Math.max(length,maxWidth.get(j)));          
//            }
//        }
//        
//        // 列宽自适应  
//        for (int i = 0; i < title.length; i++) {  
//            sheet.setColumnWidth(i,maxWidth.get(i));  
//        }  
//	}
//}
