package com.unis.hlht.cjlksj.server.common;

import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.unit.DataSize;

import javax.servlet.MultipartConfigElement;

/***
 * @ClassName: UploadConfig
 * @Description: TODO: 
 * @Auther: 李兵
 * @Date: 2019/4/25 11:49
 * @version : V1.0
 */
@Configuration
public class UploadConfig {
    @Bean
    public MultipartConfigElement getMultipartConfig() {
        MultipartConfigFactory config = new MultipartConfigFactory() ;
        config.setMaxFileSize(DataSize.parse("10MB")); 	// 设置上传文件的单个大小限制
        config.setMaxRequestSize(DataSize.parse("100MB")); 	// 设置总的上传的大小限制
        config.setLocation("C:\\upload"); // 设置临时保存目录
        return config.createMultipartConfig() ;	// 创建一个上传配置
    }
}
