package com.unis.hlht.cjlksj.server.common.data;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * TODO description：读取统一资源配置中心的初始化数据。
 *
 * @author bing.li
 * @version v1.0
 * @date 2018-07-12 18:02
 */
@Getter
@Setter
//@ConfigurationProperties(prefix = "ceshi")
@ConfigurationProperties
@Component
@SuppressWarnings("all")
@PropertySource("classpath:/config/config.yml")
public class LiangKuConfig {

    @Value("${tenMinute}")
    private String tenMinute;

    @Value("${halfHour}")
    private String halfHour;

    @Value("${everyMonth}")
    private String everyMonth;

    @Value("${everyQuarter}")
    private String everyQuarter;

    @Value("${everyYear}")
    private String everyYear;

    @Value("${password}")
    private String password;

}
