package com.unis.hlht.cjlksj.server.controller.login;

import java.security.NoSuchAlgorithmException;

import javax.servlet.http.HttpSession;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.unis.hlht.cjlksj.server.common.login.LoginConfig;
import com.unis.hlht.cjlksj.server.dto.login.UserDTO;
import com.unis.hlht.cjlksj.server.utils.MD5Utils;

import io.swagger.annotations.Api;
import lombok.extern.log4j.Log4j2;

@SuppressWarnings("all")
@Log4j2
@RestController
@Api(value = "登录")
@RequestMapping("/login")
public class LoginController {
	String TOKEN = "user";
	String password = "admin@123!";
	String name = "admin";

	@PostMapping(value = "/getUserInfo")
	public Object checkStart(HttpSession session) {
		Object attribute = session.getAttribute(LoginConfig.TOKEN);
		return attribute;
	}

	@PostMapping(value = "/login")
	public Object login(HttpSession session, @RequestBody UserDTO dto) {
		try {
			if (dto.getName().equals(name) && MD5Utils.md5(password).equals(dto.getPassword())) {
				session.setAttribute(LoginConfig.TOKEN, dto);
				return dto;
			} else {
				return null;
			}
		} catch (NoSuchAlgorithmException e) {
			return null;
		} 
	}
	
	@GetMapping(value = "/logout")
	public Object logout(HttpSession session) {
		session.removeAttribute(LoginConfig.TOKEN);
		session.invalidate();
		return null;
	}
	
	@GetMapping(value = "/get")
	public Object get(HttpSession session) {
		int s  = session.getMaxInactiveInterval();
		return s;
	}

}
