package com.unis.hlht.cjlksj.server.dto.datashare;

import lombok.Data;

/**
 * @description:省级平台给市级平台响应参数
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/02/19-14:11
 **/
@Data
@SuppressWarnings("all")
public class DataShareRespDTO {

	public DataShareRespDTO() {

	}

	public DataShareRespDTO(String retcode, String retMsg) {
		this.retcode = retcode;
		this.retMsg = retMsg;
	}

	// 结果返回码 参考第3.4节消息状态码规范
	private String retcode;
	// 结果返回信息
	private String retMsg;
	// 下次获取数据的起始位置
	private Integer nextpointer;
	// 数据是否传输完毕 0：未传输完成 1：传输完成
	private String isTransmitComplete;
	// 业务数据 data中存放查询的业务数据，数据格式为json数组格式。
	private String data;

}
