package com.unis.hlht.cjlksj.server.enums.instruction;

import lombok.Getter;

/***
 * @ClassName: ResultEnum
 * @Description: TODO: 结果状态消息
 * @Auther: 李兵
 * @Date: 2019/3/18 11:48
 * @version : V1.0
 */
@Getter
public enum ResultEnum {
    /***/
    Code200(200, "请求已成功"),
    Code500(500, "请求失败"),
    Code40101(40101, "请求接口地址错误"),
    Code40102(40102, "数据验签失败"),
    Code40103(40103, "数据解密失败"),
    Code40104(40104, "数据类型转换错误"),
    Code40105(40105, "数据条数超过最大限制"),
    Code40106(40106, "数据摘要比对失败"),
    Code40201(40201, "请求参数错误"),
    Code40202(40202, "上传的数据字段与实际接口的字段个数不一致"),
    Code40203(40203, "请求数据缺少字段"),
    Code40204(40204, "数据校验错误"),
    Code40301(40301, "指令下发失败"),
    Code40401(40401, "暂无此接口"),
    Code40402(40402, "无权限"),
    Code40403(40403, "信息不存在"),
    Code40500(40500, "其他未知错误"),
    Code40501(40501, "无权限访问该接口"),
    Code40502(40502, "数据库信息不存在"),
    Code40503(40503, "服务接口已下线"),
    Code40504(40504, "访问次数超过最大限制");

    private Integer code;
    private String result;

    ResultEnum(Integer code, String result) {
        this.code = code;
        this.result = result;
    }
}
