package com.unis.hlht.cjlksj.server.mapper;

import java.util.List;

import org.apache.ibatis.annotations.*;

import com.unis.hlht.cjlksj.server.entity.HKSBXX;
import com.unis.hlht.cjlksj.server.entity.HKZZJG;


/**
 * 
 * @ClassName: HKSBXXMapper  
 * @Description: TODO(海康设备信息-监控)  
 * @author ldq  
 * @date 2020年8月13日  
 *
 */
@Mapper
public interface HKSBXXMapper {
	@Insert({ "insert into HK_SBXX("
			+ "cameraIndexCode, ID, "
			+ "cameraTypeName, regionIndexCode, "
			+ "cameraName,  "
			+ "create_time,UPDATE_TIME"
			+ ") "
			+ "values("
			+ "#{cameraIndexCode}, #{ID}, "
			+ "#{cameraTypeName}, #{regionIndexCode},"
			+ "#{cameraName},"
			+ "#{createTime}, #{updateTime}"
			+ ")" })
	int save(HKSBXX obj);
	
	// 查询全部
	@Select("<script>"
			+ "SELECT * from HK_SBXX where 1=1 "
			+ "<if test = 'regionIndexCode != null and regionIndexCode != \"\"'>"
			+ "and regionIndexCode = #{regionIndexCode}"
			+ "</if>"
			+ "</script>")	
	List<HKSBXX> findAll(@Param("regionIndexCode")String regionIndexCode);

	// 删除
	@Delete("delete FROM HK_SBXX where ID = #{ID}")
	Integer delete(@Param("ID")String ID);

	@Select("select count(*) num FROM HK_SBXX where ID = #{ID}")
	Integer count(@Param("ID")String ID);

}
