package com.unis.hlht.cjlksj.server.mapper;

import com.alibaba.fastjson.JSONObject;
import com.unis.hlht.cjlksj.server.entity.TableCommentEntity;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @description:库点上传错误日志
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/05/12-12:29
 **/
@SuppressWarnings("all")
@Repository
public interface SysUploadErrorResultMapper {

	@Insert({ "insert into SYS_UPLOAD_ERROR_RESULT(ID, ORG_NO, ORG_NAME, ERR_INFO) "
			+ "values(#{ID}, #{ORGNO}, #{ORGNAME}, #{ERRINFO})" })
	int save(@Param("ID") String ID, @Param("ORGNO") String ORGNO, @Param("ORGNAME") String ORGNAME,
			@Param("ERRINFO") String ERRINFO);
	
	@Select({"${sql}"})
	List<Map> select(@Param("sql")String sql);
	
	@Select({"${sql}"})
	List<JSONObject> selectJson(@Param("sql")String sql);

}
