package com.unis.hlht.cjlksj.server.utils;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

import com.unis.hlht.cjlksj.server.entity.HKZZJG;
/**
 * 类名称：MenuTreeUtil 类描述：递归构造树型结构
 */
public class MenuTreeUtil {

	public static Map<String, Object> mapArray = new LinkedHashMap<String, Object>();
	public List<HKZZJG> menuCommon;
	public List<Object> list = new ArrayList<Object>();

	public List<Object> menuList(List<HKZZJG> menu, String topPid) {
		this.menuCommon = menu;
		for (HKZZJG x : menu) {
			Map<String, Object> mapArr = new LinkedHashMap<String, Object>();
			if (x.getID().equals(topPid)) {
				mapArr.put("id", x.getID());
				mapArr.put("name", x.getName());
				mapArr.put("parentindexcode", x.getParentindexcode());
				mapArr.put("children", menuChild(x.getID()));				
				list.add(mapArr);
			}
		}
		return list;
	}

	public List<?> menuChild(String zid) {
		List<Object> lists = new ArrayList<Object>();
		for (HKZZJG x : menuCommon) {
			Map<String, Object> childArray = new LinkedHashMap<String, Object>();
			if (x.getParentindexcode().contentEquals(zid)) {
				childArray.put("id", x.getID());
				childArray.put("name", x.getName());
				childArray.put("parentindexcode", x.getParentindexcode());
				lists.add(childArray);
			}
		}
		return lists;
	}

}
